## net.sourceforge.pmd.stat
Class DataPoint

    java.lang.Object
      net.sourceforge.pmd.stat.DataPoint

All Implemented Interfaces:
  java.lang.Comparable

public class DataPoint
extends java.lang.Object
implements java.lang.Comparable

Author:
  David Dixon-Peugh Aug 8, 2002 DataPoint.java

Constructor Summary
`DataPoint()` Constructor for DataPoint.

Method Summary
`int` `compareTo(java.lang.Object object)`
`java.lang.String` `getMessage()`
`SimpleNode` `getNode()`
`double` `getScore()`
`void` `setMessage(java.lang.String message)`
`void` `setNode(SimpleNode node)`
`void` `setScore(double score)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataPoint

    public DataPoint()

  Constructor for DataPoint.

Method Detail

### compareTo

    public int compareTo(java.lang.Object object)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getNode

    public SimpleNode getNode()

### setNode

    public void setNode(SimpleNode node)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String message)

### getScore

    public double getScore()

### setScore

    public void setScore(double score)

Copyright © 2002-2006 InfoEther. All Rights Reserved.